Resources (Apache Struts API Documentation)
Keywords: org.apache.struts.validator.Resources,Resources class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.validator
Class Resources

    java.lang.Object
      |
      +--org.apache.struts.validator.Resources

public class Resources
extends java.lang.Object

This class helps provides some useful methods for retrieving objects from different scopes of the application.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:43:31 +0100 (Fri, 22 Aug 2003) $
Author:
  David Winterfeldt, Eddie Bush

Field Summary
`static java.lang.String` | `ACTION_ERRORS_KEY` Resources key the `ActionErrors` is stored under.
`static java.lang.String` | `HTTP_SERVLET_REQUEST_KEY` Resources key the `HttpServletRequest` is stored under.
`static java.lang.String` | `SERVLET_CONTEXT_KEY` Resources key the `ServletContext` is stored under.

Constructor Summary
`Resources()`

Method Summary
`static ActionError` | `getActionError(javax.servlet.http.HttpServletRequest request, org.apache.commons.validator.ValidatorAction va, org.apache.commons.validator.Field field)` Gets the `ActionError` based on the `ValidatorAction` message and the `Field`'s arg objects.
`static java.lang.String[]` | `getArgs(java.lang.String actionName, MessageResources messages, java.util.Locale locale, org.apache.commons.validator.Field field)` Gets the message arguments based on the current `ValidatorAction` and `Field`.
`static java.util.Locale` | `getLocale(javax.servlet.http.HttpServletRequest request)` Get the `Locale` of the current user.
`static java.lang.String` | `getMessage(javax.servlet.http.HttpServletRequest request, java.lang.String key)` Gets the `Locale` sensitive value based on the key passed in.
`static java.lang.String` | `getMessage(MessageResources messages, java.util.Locale locale, java.lang.String key)` Gets the `Locale` sensitive value based on the key passed in.
`static java.lang.String` | `getMessage(MessageResources messages, java.util.Locale locale, org.apache.commons.validator.ValidatorAction va, org.apache.commons.validator.Field field)` Gets the locale sensitive message based on the `ValidatorAction` message and the `Field`'s arg objects.
`static MessageResources` | `getMessageResources(javax.servlet.http.HttpServletRequest request)` Retrieve `MessageResources` for the module.
`static MessageResources` | `getMessageResources(javax.servlet.ServletContext application)` Deprecated. This method can only return the resources for the default module. Use getMessageResources(HttpServletRequest) to get the resources for the current module.
`static org.apache.commons.validator.ValidatorResources` | `getValidatorResources(javax.servlet.ServletContext application)` Deprecated. In Struts 1.1 This method can only return the resources for the default module. Use getValidatorResources(HttpServletRequest, ServletContext) to get the resources for the current application module.
`static org.apache.commons.validator.ValidatorResources` | `getValidatorResources(javax.servlet.ServletContext application, javax.servlet.http.HttpServletRequest request)` Retrieve `ValidatorResources` for the current module.
`static org.apache.commons.validator.Validator` | `initValidator(java.lang.String key, java.lang.Object bean, javax.servlet.ServletContext application, javax.servlet.http.HttpServletRequest request, ActionErrors errors, int page)` Initialize the `Validator` to perform validation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVLET_CONTEXT_KEY

    public static java.lang.String SERVLET_CONTEXT_KEY

  Resources key the `ServletContext` is stored under.

### HTTP_SERVLET_REQUEST_KEY

    public static java.lang.String HTTP_SERVLET_REQUEST_KEY

  Resources key the `HttpServletRequest` is stored under.

### ACTION_ERRORS_KEY

    public static java.lang.String ACTION_ERRORS_KEY

  Resources key the `ActionErrors` is stored under.

Constructor Detail

### Resources

    public Resources()

Method Detail

### getValidatorResources

    public static org.apache.commons.validator.ValidatorResources getValidatorResources(javax.servlet.ServletContext application)

  Deprecated. In Struts 1.1 This method can only return the resources for the default module. Use getValidatorResources(HttpServletRequest, ServletContext) to get the resources for the current application module.

  Retrieve `ValidatorResources` for the module.

  Parameters:
    `application` - servlet context

### getValidatorResources

    public static org.apache.commons.validator.ValidatorResources getValidatorResources(javax.servlet.ServletContext application,
                                                                                        javax.servlet.http.HttpServletRequest request)

  Retrieve `ValidatorResources` for the current module.

  Parameters:
    `application` - Application Context
    `request` - The ServletRequest

### getMessageResources

    public static MessageResources getMessageResources(javax.servlet.ServletContext application)

  Deprecated. This method can only return the resources for the default module. Use getMessageResources(HttpServletRequest) to get the resources for the current module.

  Retrieve `MessageResources` for the application module.

  Parameters:
    `application` - servlet context

### getMessageResources

    public static MessageResources getMessageResources(javax.servlet.http.HttpServletRequest request)

  Retrieve `MessageResources` for the module.

  Parameters:
    `request` - the servlet request

### getLocale

    public static java.util.Locale getLocale(javax.servlet.http.HttpServletRequest request)

  Get the `Locale` of the current user.

  Parameters:
    `request` - servlet request

### getMessage

    public static java.lang.String getMessage(MessageResources messages,
                                              java.util.Locale locale,
                                              java.lang.String key)

  Gets the `Locale` sensitive value based on the key passed in.

  Parameters:
    `messages` - The Message resources
    `locale` - The locale.
    `key` - Key used to lookup the message

### getMessage

    public static java.lang.String getMessage(javax.servlet.http.HttpServletRequest request,
                                              java.lang.String key)

  Gets the `Locale` sensitive value based on the key passed in.

  Parameters:
    `request` - servlet request
    `key` - the request key

### getMessage

    public static java.lang.String getMessage(MessageResources messages,
                                              java.util.Locale locale,
                                              org.apache.commons.validator.ValidatorAction va,
                                              org.apache.commons.validator.Field field)

  Gets the locale sensitive message based on the `ValidatorAction` message and the `Field`'s arg objects.

  Parameters:
    `messages` - The Message resources
    `locale` - The locale
    `va` - The Validator Action
    `field` - The Validator Field

### getActionError

    public static ActionError getActionError(javax.servlet.http.HttpServletRequest request,
                                             org.apache.commons.validator.ValidatorAction va,
                                             org.apache.commons.validator.Field field)

  Gets the `ActionError` based on the `ValidatorAction` message and the `Field`'s arg objects.

  Parameters:
    `request` - the servlet request
    `va` - Validator action
    `field` - the validator Field

### getArgs

    public static java.lang.String[] getArgs(java.lang.String actionName,
                                             MessageResources messages,
                                             java.util.Locale locale,
                                             org.apache.commons.validator.Field field)

  Gets the message arguments based on the current `ValidatorAction` and `Field`.

  Parameters:
    `actionName` - action name
    `messages` - message resources
    `locale` - the locale
    `field` - the validator field

### initValidator

    public static org.apache.commons.validator.Validator initValidator(java.lang.String key,
                                                                       java.lang.Object bean,
                                                                       javax.servlet.ServletContext application,
                                                                       javax.servlet.http.HttpServletRequest request,
                                                                       ActionErrors errors,
                                                                       int page)

  Initialize the `Validator` to perform validation.

  Parameters:
    `key` - The key that the validation rules are under (the form elements name attribute).
    `bean` - The bean validation is being performed on.
    `application` - servlet context
    `request` - The current request object.
    `errors` - The object any errors will be stored in.
    `page` - This in conjunction with the page property of a `Field`can control the processing of fields. If the field's page is less than or equal to this page value, it will be processed.``

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation